Debian Bug report logs - #661329
recommends doom-wad which is only provided by non-free doom-wad-shareware

version graph

Package: doomsday; Maintainer for doomsday is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for doomsday is src:doomsday.

Reported by: Martin Erik Werner <martinerikwerner@gmail.com>

Date: Sun, 26 Feb 2012 13:36:01 UTC

Severity: serious

Found in version deng/1.9.0-beta6.9+dfsg1-2

Fixed in version deng/1.9.0-beta6.9+dfsg1-2.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Sun, 26 Feb 2012 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Erik Werner <martinerikwerner@gmail.com>:
New Bug report received and forwarded. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Sun, 26 Feb 2012 13:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Erik Werner <martinerikwerner@gmail.com>
To: submit <submit@bugs.debian.org>
Subject: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Sun, 26 Feb 2012 14:33:17 +0100
[Message part 1 (text/plain, inline)]
Package: doomsday
Version: 1.9.0-beta6.9+dfsg1-2
Severity: serious

doomsday has a recommend which is not possible to fulfill using packages from
main, which afaik is a policy violation.

It may be possible to adapt doomsday to use boom-wad, provided by the freedoom
package instead? Otherwise, placing it in contrib would be appropriate


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages doomsday depends on:
ii  libc6                     2.13-26
ii  libcurl3                  7.24.0-1
ii  libgl1-mesa-glx [libgl1]  7.11.2-1
ii  libglu1-mesa [libglu1]    7.11.2-1
ii  libice6                   2:1.0.7-2
ii  libncurses5               5.9-4
ii  libpng12-0                1.2.46-5
ii  libsdl-mixer1.2           1.2.12-1
ii  libsdl-net1.2             1.2.8-1
ii  libsdl1.2debian           1.2.15-1
ii  libsm6                    2:1.2.0-2
ii  libx11-6                  2:1.4.4-4
ii  libxext6                  2:1.3.0-3
ii  zlib1g                    1:1.2.6.dfsg-1

Versions of packages doomsday recommends:
ii  doom-wad-shareware [doom-wad]  1.9.fixed-2
ii  timidity                       2.13.2-40

Versions of packages doomsday suggests:
pn  game-data-packager  <none>

-- no debconf information

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#661329; Package doomsday. (Sun, 26 Feb 2012 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. (Sun, 26 Feb 2012 15:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 661329@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: 661329@bugs.debian.org
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Sun, 26 Feb 2012 16:15:03 +0100
Good afternoon,

Doomsday Engine is perfectly capable of running with e.g. a commercial
WAD file but unfortunately it isn't by using 'boom-wad'.

Maybe just removing the 'doom-wad' recommendation does the trick?

Best regards,
Kees




Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Mon, 23 Apr 2012 14:21:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Erik Werner <martinerikwerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Mon, 23 Apr 2012 14:21:26 GMT) Full text and rfc822 format available.

Message #15 received at 661329@bugs.debian.org (full text, mbox):

From: Martin Erik Werner <martinerikwerner@gmail.com>
To: 661329@bugs.debian.org
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Mon, 23 Apr 2012 16:11:17 +0200
[Message part 1 (text/plain, inline)]
> Good afternoon,
> 
> Doomsday Engine is perfectly capable of running with e.g. a commercial
> WAD file but unfortunately it isn't by using 'boom-wad'.
> 
> Maybe just removing the 'doom-wad' recommendation does the trick?
> 
> Best regards,
> Kees
> 

Hi, sorry, it seems like I didn't get the reply to my mbox, so hence the delay...

I'm not actually sure, I think packages like these normally would be
placed in contrib, since they depend on some non-free content to run at
all, right?

-- 
Martin Erik Werner <martinerikwerner@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#661329; Package doomsday. (Mon, 23 Apr 2012 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. (Mon, 23 Apr 2012 14:33:02 GMT) Full text and rfc822 format available.

Message #20 received at 661329@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: Martin Erik Werner <martinerikwerner@gmail.com>, 661329@bugs.debian.org
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Mon, 23 Apr 2012 16:23:35 +0200
Hi Martin,

On 04/23/2012 04:11 PM, Martin Erik Werner wrote:
> Hi, sorry, it seems like I didn't get the reply to my mbox, so hence the delay...
>
> I'm not actually sure, I think packages like these normally would be
> placed in contrib, since they depend on some non-free content to run at
> all, right?

The game should be able to run with free content as well, so I disagree 
on that. Shall I just remove te requirement?

Best regards,
Kees




Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Mon, 23 Apr 2012 16:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Mon, 23 Apr 2012 16:06:12 GMT) Full text and rfc822 format available.

Message #25 received at 661329@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 661329@bugs.debian.org
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free, doom-wad-shareware
Date: Mon, 23 Apr 2012 18:03:23 +0200
Hi,

in case doomsday can use free data, it probably should Recommend both
the free and non-free data packages as alternatives.

Just dropping the Recommends seems not very useful to me: installing
just a game engine without any data is boring.  So if there is no free
data, the package should probably move to contrib as this is handled for
other games, for example sauerbraten (the first I found).

The following part of the package description should probably also be
changed a bit if the package should stay in main:

 Doomsday Engine (or deng for short) requires an IWAD to play. You can
 install your commercial IWADs using game-data-packager.

It sounds very much like you *have* to use non-free data for the package
to be of any use.

Regards,
Ansgar




Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 05:21:06 GMT) Full text and rfc822 format available.

Notification sent to Martin Erik Werner <martinerikwerner@gmail.com>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 05:21:06 GMT) Full text and rfc822 format available.

Message #30 received at 661329-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 661329-close@bugs.debian.org
Subject: Bug#661329: fixed in deng 1.9.0-beta6.9+dfsg1-2.1
Date: Sun, 29 Apr 2012 05:17:15 +0000
Source: deng
Source-Version: 1.9.0-beta6.9+dfsg1-2.1

We believe that the bug you reported is fixed in the latest version of
deng, which is due to be installed in the Debian FTP archive:

deng_1.9.0-beta6.9+dfsg1-2.1.diff.gz
  to main/d/deng/deng_1.9.0-beta6.9+dfsg1-2.1.diff.gz
deng_1.9.0-beta6.9+dfsg1-2.1.dsc
  to main/d/deng/deng_1.9.0-beta6.9+dfsg1-2.1.dsc
doomsday_1.9.0-beta6.9+dfsg1-2.1_amd64.deb
  to main/d/deng/doomsday_1.9.0-beta6.9+dfsg1-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661329@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated deng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Apr 2012 04:34:41 +0000
Source: deng
Binary: doomsday
Architecture: source amd64
Version: 1.9.0-beta6.9+dfsg1-2.1
Distribution: unstable
Urgency: low
Maintainer: Kees Meijs <post@keesmeijs.nl>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 doomsday   - enhanced version of the legendary DOOM game
Closes: 661329
Changes: 
 deng (1.9.0-beta6.9+dfsg1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Moving doom-wad from Recommends: to Suggests: (Closes: #661329).
Checksums-Sha1: 
 78e4ec6a4ac4ba549c90d7036d983c18c5e89426 1393 deng_1.9.0-beta6.9+dfsg1-2.1.dsc
 ecf71ce1730641d3e6029a2e7cd261d0af99d9b9 4257 deng_1.9.0-beta6.9+dfsg1-2.1.diff.gz
 6dc1d8fa505225593faf77bcb16a6907abd97efe 3253796 doomsday_1.9.0-beta6.9+dfsg1-2.1_amd64.deb
Checksums-Sha256: 
 4090d94e49535d3e92dd24fd6093065a98e5730c9fe175480b75eb747e4958eb 1393 deng_1.9.0-beta6.9+dfsg1-2.1.dsc
 77fb06c624af4e4304dfff80fa0998d12bd1b859e8e6858ab839a0e551ede35b 4257 deng_1.9.0-beta6.9+dfsg1-2.1.diff.gz
 4e1163d417bdbea618de16076b1a7a15b032914cffa1931497e9e857ba02f4a2 3253796 doomsday_1.9.0-beta6.9+dfsg1-2.1_amd64.deb
Files: 
 da39f2e1dea9e76c45f9466f00286192 1393 games optional deng_1.9.0-beta6.9+dfsg1-2.1.dsc
 1a8772b9793004573fc319f9bac150b4 4257 games optional deng_1.9.0-beta6.9+dfsg1-2.1.diff.gz
 965931f66f48e3bb06067fcc0b15f62b 3253796 games optional doomsday_1.9.0-beta6.9+dfsg1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+cyx8ACgkQl4M9yZjvmknoowCdFQAiIUTneMYrCpVQub2zRJMv
8p4AoNBk37Oo1k8mfaXEQThlL+bpxCXI
=S75X
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Sun, 29 Apr 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Sun, 29 Apr 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 661329@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Kees Meijs <post@keesmeijs.nl>
Cc: 661329@bugs.debian.org, Martin Erik Werner <martinerikwerner@gmail.com>, Thomas Goirand <zigo@debian.org>
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Sun, 29 Apr 2012 18:25:19 +0200
On 2012-04-23 16:23 +0200, Kees Meijs wrote:

> On 04/23/2012 04:11 PM, Martin Erik Werner wrote:
>> Hi, sorry, it seems like I didn't get the reply to my mbox, so hence the delay...
>>
>> I'm not actually sure, I think packages like these normally would be
>> placed in contrib, since they depend on some non-free content to run at
>> all, right?
>
> The game should be able to run with free content as well, so I
> disagree on that.

Great, where can this free content be found?  Or is the user supposed to
create an iwad file from scratch?

> Shall I just remove te requirement?

It has been done in the recent NMU, but IMO that was not correct.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Sun, 29 Apr 2012 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Sun, 29 Apr 2012 19:12:02 GMT) Full text and rfc822 format available.

Message #40 received at 661329@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: Kees Meijs <post@keesmeijs.nl>, 661329@bugs.debian.org, Martin Erik Werner <martinerikwerner@gmail.com>
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Mon, 30 Apr 2012 03:09:10 +0800
On 04/30/2012 12:25 AM, Sven Joachim wrote:
> On 2012-04-23 16:23 +0200, Kees Meijs wrote:
> 
>> On 04/23/2012 04:11 PM, Martin Erik Werner wrote:
>>> Hi, sorry, it seems like I didn't get the reply to my mbox, so hence the delay...
>>>
>>> I'm not actually sure, I think packages like these normally would be
>>> placed in contrib, since they depend on some non-free content to run at
>>> all, right?
>>
>> The game should be able to run with free content as well, so I
>> disagree on that.
> 
> Great, where can this free content be found?  Or is the user supposed to
> create an iwad file from scratch?
> 
>> Shall I just remove te requirement?
> 
> It has been done in the recent NMU, but IMO that was not correct.

It's technically correct. You can Suggests: something from non-free, but
you cannot Recommends: it.

Now, what you are suggesting is like saying that VLC should be shipped
with films, or that users should create them from scratch, because
there's none in Debian. That doesn't make sense! It's perfectly valid to
keep a software in main, even if that said software doesn't have any
data to run with.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Sun, 29 Apr 2012 19:48:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Sun, 29 Apr 2012 19:48:46 GMT) Full text and rfc822 format available.

Message #45 received at 661329@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thomas Goirand <zigo@debian.org>
Cc: Kees Meijs <post@keesmeijs.nl>, 661329@bugs.debian.org, Martin Erik Werner <martinerikwerner@gmail.com>
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Sun, 29 Apr 2012 21:48:14 +0200
On 2012-04-29 21:09 +0200, Thomas Goirand wrote:

> It's technically correct. You can Suggests: something from non-free, but
> you cannot Recommends: it.

The solution is to move the package to contrib, then you can do that.

> Now, what you are suggesting is like saying that VLC should be shipped
> with films, or that users should create them from scratch, because
> there's none in Debian. That doesn't make sense! It's perfectly valid to
> keep a software in main, even if that said software doesn't have any
> data to run with.

The difference is that there are millions of videos you can watch with
VLC, while there are only a dozen or so iwads for doomsday, none of
which are free.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Mon, 30 Apr 2012 07:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Mon, 30 Apr 2012 07:27:02 GMT) Full text and rfc822 format available.

Message #50 received at 661329@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: Kees Meijs <post@keesmeijs.nl>, 661329@bugs.debian.org, Martin Erik Werner <martinerikwerner@gmail.com>
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Mon, 30 Apr 2012 15:23:33 +0800
On 04/30/2012 03:48 AM, Sven Joachim wrote:
> The difference is that there are millions of videos you can watch with
> VLC, while there are only a dozen or so iwads for doomsday, none of
> which are free.

And then what? Is it about numbers?

Now, let me find another example. We have in the main archive a lot of
emulators:
- visualboyadvance
- xmame
- atari800
- aranym
- gnuboy
- uae
- stella
- openmsx
- etc.

For all of these, there's no ROM available in the Debian archive, and
it'd be hard, if not impossible in some cases, to find some free ROMs.
This doesn't prevent the packages to be in main. If you want to
challenge this fact, then please do it in debian-devel@l.d.o, but not
for this RC bug, as this is a general situation really not specific to
doomsday.

Cheers,

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Mon, 30 Apr 2012 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Mon, 30 Apr 2012 07:54:03 GMT) Full text and rfc822 format available.

Message #55 received at 661329@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thomas Goirand <zigo@debian.org>
Cc: Kees Meijs <post@keesmeijs.nl>, 661329@bugs.debian.org, Martin Erik Werner <martinerikwerner@gmail.com>, debian-devel@lists.debian.org
Subject: Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware
Date: Mon, 30 Apr 2012 09:50:06 +0200
On 2012-04-30 09:23 +0200, Thomas Goirand wrote:

> On 04/30/2012 03:48 AM, Sven Joachim wrote:
>> The difference is that there are millions of videos you can watch with
>> VLC, while there are only a dozen or so iwads for doomsday, none of
>> which are free.
>
> And then what? Is it about numbers?

No, it's about the fact that while it is theoretically possible to play
doomsday with free iwads, no such iwads actually exist TTBMOMK.

> Now, let me find another example. We have in the main archive a lot of
> emulators:
> - visualboyadvance
> - xmame
> - atari800

That package is actually in contrib.

> - aranym
> - gnuboy
> - uae
> - stella

Moved to main only after somebody found free ROMs for it.

> - openmsx
> - etc.
>
> For all of these, there's no ROM available in the Debian archive, and
> it'd be hard, if not impossible in some cases, to find some free ROMs.
> This doesn't prevent the packages to be in main. If you want to
> challenge this fact, then please do it in debian-devel@l.d.o, but not
> for this RC bug, as this is a general situation really not specific to
> doomsday.

Moving the discussion to debian-devel hereby.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Mon, 30 Apr 2012 09:48:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Mon, 30 Apr 2012 09:48:38 GMT) Full text and rfc822 format available.

Message #60 received at 661329@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: 661329@bugs.debian.org
Cc: Thomas Goirand <zigo@debian.org>
Subject: Re: Bug#661329 closed by Thomas Goirand <zigo@debian.org> (Bug#661329: fixed in deng 1.9.0-beta6.9+dfsg1-2.1)
Date: Mon, 30 Apr 2012 10:28:40 +0100
>    * Non-maintainer upload.

I think it's really bad form to NMU without any warning. Kees is not
a developer, he relies on sponsors to upload his packages. He is also
not listed on <http://wiki.debian.org/LowThresholdNmu>.  You didn't
use a DELAY queue, you haven't filed an nmudiff to the bts… Far more
polite would have been to help Kees form a solution and sponsor an
upload for him.

Can you please re-acquant yourself with the Developer's Reference?





Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Mon, 30 Apr 2012 13:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Mon, 30 Apr 2012 13:15:07 GMT) Full text and rfc822 format available.

Message #65 received at 661329@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 661329@bugs.debian.org
Subject: Re: Bug#661329 closed by Thomas Goirand <zigo@debian.org> (Bug#661329: fixed in deng 1.9.0-beta6.9+dfsg1-2.1)
Date: Mon, 30 Apr 2012 21:13:35 +0800
Hi,

On 04/30/2012 03:50 PM, Sven Joachim wrote:
> Moved to main only after somebody found free ROMs for it.

But isn't it possible to run doomsday with some wad files built with
doombuilder [1], which is GPL? Are you sure all wad files on earth are
non-free?

On 04/30/2012 05:28 PM, Jon Dowland wrote:
>>    * Non-maintainer upload.
> 
> I think it's really bad form to NMU without any warning. Kees is not
> a developer, he relies on sponsors to upload his packages.

Moving the wads from Recommends: to Suggests: isn't doing any harm, and
as I wrote before, this is technically correct. You can't Recommends:
something in non-free, but you can Suggests: it.

> He is also
> not listed on <http://wiki.debian.org/LowThresholdNmu>.  You didn't
> use a DELAY queue, you haven't filed an nmudiff to the bts… Far more
> polite would have been to help Kees form a solution and sponsor an
> upload for him.
> 
> Can you please re-acquant yourself with the Developer's Reference?

This was during a BSP. I am sorry that this wasn't uploaded in the
delayed queue. Now, I can see that you are not happy about this NMU, but
what I did isn't harmful in any way. You can still re-open the bug if
you feel like the package should move to contrib, and then depend on the
doom-wad package.

Thomas

[1] http://www.doombuilder.com/index.php?p=development




Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Mon, 30 Apr 2012 13:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Mon, 30 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Message #70 received at 661329@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thomas Goirand <zigo@debian.org>, 661329@bugs.debian.org
Subject: Re: Bug#661329: closed by Thomas Goirand <zigo@debian.org> (Bug#661329: fixed in deng 1.9.0-beta6.9+dfsg1-2.1)
Date: Mon, 30 Apr 2012 15:23:15 +0200
[Message part 1 (text/plain, inline)]
On Mon, Apr 30, 2012 at 21:13:35 +0800, Thomas Goirand wrote:

> This was during a BSP.

That is absolutely no excuse for not doing things right.  If anything,
it's the opposite.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#661329; Package doomsday. (Mon, 30 Apr 2012 14:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Kees Meijs <post@keesmeijs.nl>. (Mon, 30 Apr 2012 14:27:09 GMT) Full text and rfc822 format available.

Message #75 received at 661329@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: debian-devel@lists.debian.org, Kees Meijs <post@keesmeijs.nl>, 661329@bugs.debian.org
Subject: Re: non-satisfyable Recommends: in main (was Re: Bug#661329: recommends doom-wad which is only provided by non-free doom-wad-shareware)
Date: Mon, 30 Apr 2012 22:24:17 +0800
On 04/30/2012 05:33 PM, Jon Dowland wrote:
> Oh joy-of-joys, a context free drive-by-CC to -devel, and a bug which indicates
> an NMU without warning, DELAYED queue use or nmudiff, for a package to which
> the maintainer is actively discussing the bug (not MIA), for a maintainer who
> is just beginning their time with Debian and relies on support and sponsorship.
> How inviting to the project!
>
> FWIW, I (or someone else) could quite easily contrive and upload a freedoom
> derivative which worked with Doomsday and upload it. It would then satisfy this
> technical requirement and thus the argument would go away.  It would also be
> a poor imitation of Freedoom (lack features), confusing to users and generally
> be a complete waste of time

Well, here's the maintainer's view on this:

> The game should be able to run with free content as well, so I disagree 
> on that. Shall I just remove te requirement?

I happen to agree with him, also because there's at least one GPL editor for
doom, like doom builder:
http://www.doombuilder.com/index.php?p=development

"Doom Builder is an open source development released under GNU GPL. 
Everyone can learn from the source code and use it in a GPL compatible 
project."

Yes, doom builder is a windows app, but there are many ways to run
a windows APP (wine, ReactOS, etc.). [Before you ask: no, I didn't try
to actually run doombuilder myself.]

Or is it that doomsday still needs iwad files on top of the wad
files for levels, sprites, and characters?

In any case, if you still think that this was a mistake that I did,
I am sorry for it, but if that's the case, it's easy to fix:
- reopen #661329
- retitle it "doomsday should be in contrib, not in main" so that it's
not miss-leading anymore.

Cheers,

Thomas






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jun 2012 07:45:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:52:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.